const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '资讯', leftArrow: false, useBar: true },
        tabs: {
            active: 'a',
            list: [
                { title: '推荐', name: 'a' },
                { title: '羽毛球', name: 'b' },
                { title: '武术', name: 'c' },
                { title: '田径', name: 'd' },
                { title: '篮球', name: 'e' },
                { title: '马拉松', name: 'f' },
            ],
        },
        //查询条件
        searchInfo: {
            name: ''
        },
        list: [
            { id: "1", src: "/image/ceshi.jpg", name: "2021南宁·LYB李永波全球业余羽毛球锦标赛-南宁分站赛", content: '  新华网北京7月22日电 2022年李宁·谌龙羽毛球单打公开赛将在下半年拉开战幕，首站比赛将于8月27日在厦门开赛。该赛事将在厦门、西安、广州、哈尔滨、成都、武汉六座城市举行，第一站厦门的比赛将在8月27日至28日展开。每站设单项赛和团体赛，单项赛设男、女单打项目，分青少年组和成人组，每组再按照不同年龄段分级；团体赛设甲（30岁以下）、乙（31-40岁）、丙（41-50岁）三组，每队两男一女，比赛时每人一局、每局15分，三局总得分高的一方获胜。', status: '0', source: '北京青年报' },
            { id: "1", name: "江西省女子门球赛挥杆", content: '新华网北京7月22日电 2022年李宁·谌龙羽毛球单打公开赛将在下半年拉开战幕，首站比赛将于8月27日在厦门开赛。该赛事将在厦门、西安、广州、哈尔滨、成都、武汉六座城市举行，第一站厦门的比赛将在8月27日至28日展开。每站设单项赛和团体赛，单项赛设男、女单打项目，分青少年组和成人组，每组再按照不同年龄段分级；团体赛设甲（30岁以下）、乙（31-40岁）、丙（41-50岁）三组，每队两男一女，比赛时每人一局、每局15分，三局总得分高的一方获胜。', status: '1', source: '网络' },
            { id: "1", src: "/image/ceshi.jpg", name: "初登世界运动会舞台——刘佳坚定壁球运动之路", content: '  对于现年20岁的小将刘佳而言，登上世界运动会女子壁球项目的赛场，是一段难忘的经历。在强手如林的世界运动会赛场，刘佳虽然没有拿到很好的名次，但是通过壁球收获了成长。刘佳目前是南京体育学院的一名学生，上大学后才开始接触壁球。她在世界运动会上的两个对手，澳大利亚选手杰西卡·特恩布尔和瑞士选手席琳·华瑟尔都是职业球员。虽然客观上和对手有较大的实力差距，但是在赛场上刘佳认真对待每一球、不放弃每一分，发挥出了自身水平。', status: '0', source: '中国体育报' },
            { id: "1", src: "/image/ceshi.jpg", name: "青少年网球训练营开营", content: '2022香港赛马会助力全民健身网球培训第二期青少年儿童训练营，于7月25日在国家奥林匹克体育中心网球馆开营。训练营由国奥利贤（北京）体育文化发展有限公司主办，天天有网球俱乐部股份有限公司承办，香港赛马会赞助的免费公益培训。第一期已于7月22日圆满结营。', ststus: '3', source: '新华社' },
            { id: "1", src: "/image/ceshi.jpg", name: "2021南宁·LYB李永波全球业余羽毛球锦标赛-南宁分站赛", content: '  新华网北京7月22日电 2022年李宁·谌龙羽毛球单打公开赛将在下半年拉开战幕，首站比赛将于8月27日在厦门开赛。该赛事将在厦门、西安、广州、哈尔滨、成都、武汉六座城市举行，第一站厦门的比赛将在8月27日至28日展开。每站设单项赛和团体赛，单项赛设男、女单打项目，分青少年组和成人组，每组再按照不同年龄段分级；团体赛设甲（30岁以下）、乙（31-40岁）、丙（41-50岁）三组，每队两男一女，比赛时每人一局、每局15分，三局总得分高的一方获胜。', status: '0', source: '北京青年报' },
            { id: "1", src: "/image/ceshi.jpg", name: "2021南宁·LYB李永波全球业余羽毛球锦标赛-南宁分站赛", content: '  新华网北京7月22日电 2022年李宁·谌龙羽毛球单打公开赛将在下半年拉开战幕，首站比赛将于8月27日在厦门开赛。该赛事将在厦门、西安、广州、哈尔滨、成都、武汉六座城市举行，第一站厦门的比赛将在8月27日至28日展开。每站设单项赛和团体赛，单项赛设男、女单打项目，分青少年组和成人组，每组再按照不同年龄段分级；团体赛设甲（30岁以下）、乙（31-40岁）、丙（41-50岁）三组，每队两男一女，比赛时每人一局、每局15分，三局总得分高的一方获胜。', status: '0', source: '北京青年报' },
            { id: "1", src: "/image/ceshi.jpg", name: "2021南宁·LYB李永波全球业余羽毛球锦标赛-南宁分站赛", content: '  新华网北京7月22日电 2022年李宁·谌龙羽毛球单打公开赛将在下半年拉开战幕，首站比赛将于8月27日在厦门开赛。该赛事将在厦门、西安、广州、哈尔滨、成都、武汉六座城市举行，第一站厦门的比赛将在8月27日至28日展开。每站设单项赛和团体赛，单项赛设男、女单打项目，分青少年组和成人组，每组再按照不同年龄段分级；团体赛设甲（30岁以下）、乙（31-40岁）、丙（41-50岁）三组，每队两男一女，比赛时每人一局、每局15分，三局总得分高的一方获胜。', status: '0', source: '北京青年报' },
        ],
    },
    // 跳转菜单
    tabPath(e) {
        let { route } = e.detail.detail;
        if (route) wx.redirectTo({ url: `/${route}` })
    },
    // 选项卡
    tabsChange: function (e) {
        const that = this;
        that.setData({ 'tabs.active': e.detail.name });
        // that.watchLogin();
    },
    //搜索
    onSearch() {
        console.log("搜索");
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;

    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})